Subject: Re: What's cooking in git.git (Apr 2025, #03; Fri, 11)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 14 Apr 2025 10:13:26 +0200

On Fri, Apr 11, 2025 at 03:58:33PM -0700, Junio C Hamano wrote:
> * ps/object-file-cleanup (2025-04-11) 10 commits
>  - object-store: merge "object-store-ll.h" and "object-store.h"
>  - object-store: remove global array of cached objects
>  - object: split out functions relating to object store subsystem
>  - object-file: split out functions relating to index subsystem
>  - object-file: split up concerns of `HASH_*` flags
>  - object-file: split out functions relating to object store subsystem
>  - object-file: move `xmmap()` into "wrapper.c"
>  - object-file: move `git_open_cloexec()` to "compat/open.c"
>  - object-file: move `safe_create_leading_directories()` into "dir.c"
>  - Merge branch 'ps/object-wo-the-repository' into ps/object-file-cleanup
>  (this branch uses ps/object-wo-the-repository.)
> 
>  Code clean-up.
> 
>  Will merge to 'next'.
>  source: <[email-masked]>

Let's wait a bit with this one. There's been a couple more review
comments that I want to address before this is ready for next.

> * rj/build-tweaks (2025-04-09) 13 commits
>  - config.mak.uname: set CSPRNG_METHOD to getrandom on Linux
>  - config.mak.uname: add arc4random to the cygwin build
>  - config.mak.uname: add sysinfo() configuration for cygwin
>  - builtin/gc.c: correct RAM calculation when using sysinfo
>  - config.mak.uname: add clock_gettime() to the cygwin build
>  - config.mak.uname: add HAVE_GETDELIM to the cygwin section
>  - config.mak.uname: only set NO_REGEX on cygwin for v1.7
>  - config.mak.uname: add a note about NO_STRLCPY for Linux
>  - Makefile: remove NEEDS_LIBRT build variable
>  - meson.build: set default help format to html on windows
>  - meson.build: only set build variables for non-default values
>  - Makefile: only set some BASIC_CFLAGS when RUNTIME_PREFIX is set
>  - meson.build: remove -DCURL_DISABLE_TYPECHECK
> 
>  Various build tweaks, including CSPRNG selection on some platforms.
> 
>  Comments?
>  source: <[email-masked]>

I just reviewed this series. It looks mostly fine to me, but I do have
one question regarding one of the Meson patches.

Patrick